Subject: Re: bug#39649: 27.0.60; tab-line doesn't scroll

From: Juri Linkov <[email-masked]>
Date: Thu, 27 Feb 2020 01:16:25 +0200

> It does have your patch, but just the latest one in this thread.
> Video demonstration: https://youtu.be/xq_JMBO4SyI.
> I'm using Emacs from
> https://alpha.gnu.org/gnu/emacs/pretest/windows/emacs-27/. It does
> have XPM support.

Thanks for the recipe.  I tried everything possible, but still
no bug reproduction.

Given the above, may I ask you to run some debugging diagnostics:

1. load the attached file, e.g. with M-x load-file
2. M-x global-tab-line-mode
3. perform all steps from your bug report
4. after the last step, when the tab selection fails, execute

   M-x test1 RET

and make a screenshot.  The screenshot should look like on the image attached.

I suspect that the problem comes from the tab-line fontified differently
by core and when fontified manually in the buffer.